<chapter id="installation">
<title
>Installation </title>

<epigraph>
<attribution
>Linus Torvalds, efter at have fundet et af sine filsystemer smadret af en ny beta-kerne</attribution>
<para
>Core dumping af fsck'er har en tendens til at gøre mig nervøs</para>
</epigraph>

<para
>Frygt ikke! Selv om brugen af beta-software godt kan forårsage betydelige kvaler, er det ikke sandsynligt at KDE-installationen vil ødelægge din harddisk. Faktisk er dette kapitel skrevet som en vejledning til at lede dig igennem installationen så du kan få dit nye skrivebord at se så hurtigt (og så smertefrit) som muligt. Som det er tilfældet med installation af alle nye vindueshåndteringer, anbefales du at tage en sikkerhedskopi af alle dine X11-specifikke indstillingsfiler inden du påbegynder installationen. Hvis du ikke kender deres præcise placering, så prøv alle de skjulte (<filename
>.*</filename
>) filer i din hjemmemappe og i mappen <filename
>/usr/X11/lib/X11/xdm</filename
>. </para
> 

<sect1 id="requirements">
<title
>Systemkrav </title>

<para
>Inden du installerer KDE, så forvis dig om at dit system opfylder følgende krav: </para>

<itemizedlist>

<listitem
><para
>Et kørende POSIX-kompatibelt &UNIX;-system. Af &UNIX;'er som er kendt for at fungere sammen med KDE, kan nævnes: Linux, FreeBSD, Solaris, HP-UX og MkLinux. Vi arbejder på snart at gøre KDE tilgængelig på flere platforme. </para
></listitem>

<listitem
><para
>Fri harddiskplads på den partition hvor <filename
>/opt/kde</filename
> vil blive oprettet. Vi anbefaler at du reserverer omkring 50 MB hvis dit system understøtter delte biblioteker (eng. shared libraries) og betydelig mere hvis det ikke gør. Hvis du er nødt til eller ønsker at bygge KDE fra kildetræet, så husk venligst at reservere omkring 100 MB i <filename
>/usr/src</filename
>.</para
></listitem>

<listitem
><para
>Et kørende X11-system med eller uden <application
>xdm</application
>. Hvis du endnu ikke har installeret X Window-systemet, så tjek først dit &UNIX;-installationsmedie for en installérbar version. Hvis du ikke kan finde en fungerende version, så besøg <ulink url="http://www.xfree86.org"
>XFree86-netsiden</ulink
> for flere oplysninger om hvordan man får og installerer X Window-systemet, eller kontakt din &UNIX;-forhandlers support. </para
></listitem>

<listitem
><para
>Qt-bibliotekerne, version 3.0.2. Dem kan du få fra <ulink url="ftp://ftp.trolltech.com/qt"
>Trolltechs FTP-server</ulink
> i tgz-format. </para>
</listitem>
</itemizedlist>

<warning
><para
>En advarsel inden du begynder: Før opgradering af en tidligere version af KDE, anbefaler vi at du gør følgende:</para>

<screen
><command
>cd <filename
>/opt/kde</filename
></command
> 
<command
>tar <option
>cfvz <replaceable
>~/KDE-gammel-version-sikkerhedskopi.tar.gz</replaceable
> * </option
></command
>
</screen>
</warning>

</sect1>

<sect1 id="linux-installing-rpms">
<title
>Linux: Installation af RPM'er for Red Hat, Caldera og SuSE.</title>

<para
>Brug af RPM'er er den letteste metode til at få KDE op at køre. Det er bare at besøge dit foretrukne KDE-spejl og gå ind i mappen <filename
>/pub/kde/stable/distribution/rpm</filename
>. Der kan du se mapper for forskellige styresystemer. På nuværende tidspunkt er i386-, alpha- og sparc-arkitekturerne understøttet. RPM-pakkerne kan også findes på Red Hat contrib-sider såsom sunsite.unc.edu eller ftp.redhat.com. </para>

<para
>Det grundlæggende system består af filerne <filename
>kde-<replaceable
>komponent</replaceable
>.<replaceable
>arkitektur</replaceable
>.rpm</filename
> Du skal i det mindste have kdesupport, kdelibs og kdebase. Efter at have fået grunddistributionen, kan du nedtage vilkårlige andre RPM'er hvis du mener at du har brug for dem. </para>

<para
>Derefter starter du installationen med grundpakken. Hvis du installerer KDE for første gang, så brug: </para>

<screen
><userinput
><command
>rpm</command
> <option
>-i</option
> <filename
>kdesupport.arkitektur.rpm</filename
></userinput>
<userinput
><command
>rpm</command
> <option
>-i</option
> <filename
>kdelibs.arkitektur.rpm</filename
></userinput>
<userinput
><command
>rpm</command
> <option
>-i</option
> <filename
>kdebase.arkitektur.rpm</filename
></userinput
>
</screen>
 
<important
><para
>Det er vigtigt at disse komponenter bliver installeret i den her viste rækkefølge og at de bliver installeret før nogen anden KDE-komponent.</para
></important>

<para
>Hvis du opgraderer fra en tidligere udgave, så prøv <screen
><userinput
><command
>rpm</command
> <option
>-Uvh</option
> <filename
>kde-<replaceable
>component</replaceable
>.<replaceable
>arch</replaceable
>.rpm</filename
></userinput
>
</screen>
</para>

<para
>Endnu en gang, den ovenfor angivne rækkefølge bør bevares, og de angivne komponenter bør installeres før nogen andre KDE-komponenter.</para>

<para
>Dette vil pakke grunddistributionen ud og installere den som standard i <filename
>/opt/kde</filename
>.</para>

<para
>Hvis installationen af grundpakkerne lykkes, så kan du installere de resterende pakker (brug <option
>-Uvh</option
> i stedet for <option
>-i</option
> endnu en gang for at opdatere en eksisterende version) på samme måde. </para>

</sect1>

<sect1 id="installing-debian">
<title
>Linux: Installation af <acronym
>DEB</acronym
>'er for Debian</title>

<para
>Installationen på et Debian-system er også rimelig ligetil. Du vil kun finde KDE 2.0-pakker til Debian 2.2 (Potato) og 3.0 (Woody). Vi beskriver her hvordan man installerer pakker til Debian 2.2, den stabile version, eftersom Debian 3.0 stadig er under udvikling. Installation er imidlertid næsten identisk for begge versioner. Den primære forskel er at KDE er officielt inkluderet i Debian 3.0 og du behøver ikke at specificere nogen bestemt placering for at finde DEB-pakker til KDE.</para>

<para
>Første skridt er at fortælle dit system hvor det skal finde DEB-pakker til KDE. En liste over steder for Debian-pakkerne findes på din harddisk i <filename
>/etc/apt/sources.list</filename
>. Du bør tilføje følgende linje til denne fil: <userinput
>http://kde.tdyc.com/ stable kde2</userinput
></para>

 
<para
>Så skal du opdatere din lokale pakkedatabase så dit system ved at der er nye pakker tilgængelige. Skriv følgende kommando:</para>

<screen
><userinput
><command
>apt-get</command
> <option
>update</option
></userinput
>
</screen>
 
<para
>Til sidst skal du installere KDE's grundkomponenter. Det gøres ved at skrive:</para>

<screen
><userinput
><command
>apt-get</command
> <option
>install kdebase</option
></userinput
>
</screen>
 
<para
>Hvis du vil installere andre komponenter, bør du prøve nogle af (eller alle) disse muligheder:</para>

<screen
><userinput
><command
>apt-get</command
> <option
>install task-kdenetwork</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install task-kdeadmin</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install task-kdetoys</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install task-kdeutils</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install task-kdemultimedia</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install task-kdegraphics</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install task-kdepim</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install task-kdegames</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install task-koffice</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install kdebase-docs</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install kdm</option
></userinput
>
</screen>

<para
>Du er måske også interesseret i at installere dit sprog.</para>

<screen
><userinput
><command
>apt-get</command
> <option
>install
kde-i18n-<replaceable
>xx</replaceable
></option
></userinput
>
 </screen>
<para
>hvor <replaceable
>xx</replaceable
> skal erstattes med landekoden (det er 'da' for dansk).</para>

<para
>Kontrolfilerne for nogle KDE-programmer vil blive placeret i <filename class="directory"
>/etc/kde2</filename
>, de kørbare filer vil komme i <filename class="directory"
>/usr/bin</filename
> og de fleste af hjælpefilerne i <filename class="directory"
>/usr/share</filename
> under forskellige mapper. </para>

<para
>Hvis du opgraderer fra en tidligere version af KDE, bør du udføre følgende trin. Først skal du opdatere filen <filename
>/etc/apt/sources.list</filename
> ved at ændre linjen med KDE-pakkernes placering til: <userinput
>http://kde.tdyc.com/ stable kde2</userinput
>. Opdatér derefter din pakkedatabase:</para>

<screen
><userinput
><command
>apt-get</command
> <option
>update</option
></userinput
>
</screen>
 
<para
>Installér til sidst KDE-grundsystemet:</para>

<screen
><userinput
><command
>apt-get</command
> <option
>install kdebase</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>dist-upgrade</option
></userinput
>
</screen>
 
<para
>Hvis du vil installere flere KDE-komponenter, bør du prøve nogle af (eller alle) disse muligheder:</para>

<screen
><userinput
><command
>apt-get</command
> <option
>install task-kdenetwork</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install task-kdeadmin</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install task-kdetoys</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install task-kdeutils</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install task-kdemultimedia</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install task-kdegraphics</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install task-kdepim</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install task-kdegames</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install task-koffice</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install kdebase-docs</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install kdm</option
></userinput
>
</screen>

</sect1>

<sect1 id="source-distribution">
<title
>Brug af kildekompilering til at installere oven på andre systemer </title>

<para
>Hvis din Linux-distribution ikke kom med et RPM- eller DEB-arkivformat eller hvis du slet ikke bruger Linux, er du nødt til selv at kompilere KDE. Vi planlægger at stille en binær distribution med eget installationsprogram til rådighed i fremtiden. </para>

<para
>For at kunne kompilere og installere KDE rigtigt, skal du have følgende ting installeret på din harddisk: </para>

<itemizedlist>
<listitem
><para
>En ANSI C-compiler, <abbrev
>f.eks.</abbrev
> <abbrev
>GNU</abbrev
> C-compileren. </para
></listitem>
<listitem
><para
>En ANSI C++-compiler, <abbrev
>f.eks.</abbrev
> <abbrev
>GNU</abbrev
> C++. </para
></listitem>
<listitem
><para
>Værktøjet <application
>make</application
>. </para
></listitem>
<listitem
><para
>Qt udviklingsversion 2.2 eller højere.</para
></listitem>
<listitem
><para
>X11 udviklingsversion (include-filer er ofte ikke med). </para
></listitem>
</itemizedlist>

<para
>Når du har alle de nødvendige hjælpeprogrammer, så gå til dit foretrukne KDE-spejl og få fat i følgende filer fra <filename
>/pub/kde/stable/<replaceable
>nyeste version</replaceable
></filename
>:</para>

<itemizedlist>
<listitem
><para
><filename
>kdesupport-<replaceable
>version</replaceable
>.tar.gz</filename
></para
></listitem>
<listitem
><para
><filename
>kdelibs-<replaceable
>version</replaceable
>.tar.gz</filename>
</para
></listitem>
<listitem
><para
><filename
>kdebase-<replaceable
>version</replaceable
>.tar.gz</filename
></para
></listitem>
<listitem
><para
>andre pakker som du kunne tænke dig at installere. Vi anbefaler at du i hvert fald henter kdeutils. </para
></listitem>
</itemizedlist>

<para
>I alle linjerne foroven står <replaceable
>version</replaceable
> for det nuværende versionsnummer. Når du har nedtaget alt det som du skal bruge, så udpak filerne til <filename
>/usr/src</filename
>. Denne proces skulle give følgende mappestruktur:</para>

<itemizedlist>
<listitem
><para
><filename
>/usr/src/kdesupport</filename
></para
></listitem>
<listitem
><para
><filename
>/usr/src/kdelibs</filename
></para
></listitem>
<listitem
><para
><filename
>/usr/src/kdebase</filename
></para
></listitem>
<listitem
><para
><filename
>/usr/src/...</filename
> (og evt. andre pakker)</para
></listitem>
</itemizedlist>

<para
>Vær sikker på at du har skrivetilladelser til <filename
>/opt/kde</filename
>.</para>

<para
>Nu skal du kompilere og installere pakker ved brug af følgende: </para>

<procedure>
<step
><para
><command
>cd</command
> ind i den mappe som indeholder den pakke du vil installere (se ovenfor)</para
></step>
<step
><para
><command
>./configure</command
> (med de tilvalg som du ønsker at anvende)</para
></step>
<step
><para
><command
>make</command
></para
></step>
<step
><para
><command
>make install</command
></para
></step>
</procedure>

<para
>Udfør følgende trin for hver pakke som du vil installere.</para>

<note
><para
>Disse instruktioner kan anvendes med næsten enhver tilgængelig kildepakke og ikke kun KDE-pakker. </para
></note>

<para
>Hvert configure-script har adskillige tilgængelige tilvalg. Nogle er almindelige for de fleste pakker, mens andre er specifikke for en enkelt pakke. Følgende er en del af resultatet af <command
>configure <option
>--help</option
></command
> i kdelibs.</para>

<screen
><computeroutput>
  --disable-fast-perl     disable fast Makefile generation (needs perl)
  --enable-debug          creates debugging code [default=no]
  --enable-strict         compiles with strict compiler options (may not work!)
  --enable-profile        creates profiling infos [default=no]
  --enable-final          build size optimized apps (experimental - needs lots of memory)
  --disable-closure       don't delay template instantiation
  --enable-shared[=PKGS]  build shared libraries [default=yes]
  --enable-static[=PKGS]  build static libraries [default=no]
  --enable-fast-install[=PKGS]  optimize for fast installation [default=yes]
  --with-gnu-ld           assume the C compiler uses GNU ld [default=no]
  --disable-libtool-lock  avoid locking (might break parallel builds)
  --with-pic              try to use only PIC/non-PIC objects [default=use both]
  --with-extra-includes=DIR
                          adds non standard include paths
  --with-extra-libs=DIR   adds non standard library paths
  --with-qt-dir=DIR       where the root of Qt is installed
  --with-qt-includes=DIR  where the Qt includes are.
  --with-qt-libraries=DIR where the Qt library is installed.
  --disable-rpath         do not use the rpath feature of ld
  --disable-path-check    don't try to find out, where to install
  --with-xdmdir           If the xdm config dir can't be found automaticly
  --with-pam[=ARG]        enable support for PAM: ARG=[yes|no|service name]
  --with-shadow           If you want shadow password support
  --with-krb4[=PATH]      Compile in Kerberos v4 support.
  --with-afs              Compile in AFS support (requires KTH krb4).
  --with-ldap[=PATH]      Compile in LDAP support.
  --with-samba-libs=path  Use Samba-tng libs in 'path'                [search]
  --without-gl            disable 3D GL modes
  --without-xpm           disable color pixmap XPM tests
  --without-dpms          disable DPMS power saving
  --with-x                use the X Window System
  --with-motif-includes=DIR    Motif include files are in DIR
  --with-motif-libraries=DIR   Motif libraries are in DIR                           
</computeroutput
>
</screen>

<para
>Det er som regel ikke noget krav at bruge alle disse tilvalg og de fleste er kun nyttige til at undgå kendte problemer (<abbrev
>f.eks.</abbrev
> <option
>--disable-EGENSKAB</option
>). Eftersom nogle af dem er vigtige tilvalg, f.eks. <emphasis
>--with-shadow</emphasis
>, bør du altid lige tage et kig på de tilgængelige tilvalg.</para>

<para
>Et vigtigt tilvalg er <option
>--prefix</option
>. Dette tilvalg specificerer den sti hvor configure skal installere (for kdesupport og kdelibs) eller hvor der skal kigges efter biblioteker (for de andre pakker). Som standard vil configure kigge i <filename
>/opt/kde</filename
>. Hvis du ønsker at installere KDE i <filename
>/usr/local/kde</filename
>, skal du bruge <command
>configure <option
>--prefix /usr/local/kde</option
></command
>.</para>

<para
>Hvis du har installeret Qt-bibliotekerne et mindre almindeligt sted, f.eks. i <filename
>$HOME/src/qt</filename
>, så skal du bruge <command
>configure <option
>--with-qt-dir=$HOME/src/qt</option
></command
>. Som standard kigger configure i de mest almindelige steder efter Qt før det giver op.</para>

<para
>Hvis du har problemer som du ikke er i stand til at løse, så send en kopi af filen <filename
>config.log</filename
> til adressen givet i problempakkens <filename
>README</filename
>-fil.</para>

<para
>Du skal installere KDE-komponenterne i følgende rækkefølge: kdesupport, kdelibs, og så programpakkerne (f.eks. kdebase). Alle programpakkerne burde kun afhænge af kdelibs, så du kan kompilere dem på samme tid (hvis du har en kraftig maskine).</para>

<para
>Hvis du ønsker at drage nytte af multiprocessorsystemer, så prøv <command
>make <option
> -j <replaceable
>antal processorer</replaceable
></option
></command
> i stedet for <command
>make</command
>. </para>

<sect2>
<title
>Platformspecifikke byggenoter </title>

<sect3>
<title
>Linux </title>

<para
>De fleste af de værktøjer som behøves for at installere KDE på Linux, kan findes enten på <ulink url="ftp://sunsite.unc.edu/pub/Linux/GCC"
>ftp://sunsite.unc.edu/pub/Linux/GCC</ulink
> eller på <ulink url="ftp://sunsite.unc.edu/pub/GNU"
>ftp://sunsite.unc.edu/pub/GNU</ulink
>. Qt-bibliotekerne kan findes på <ulink url="ftp://ftp.troll.no/pub/qt/source"
>ftp://ftp.troll.no/pub/qt/source</ulink
> og er tilgængelige i kildeformat. Der medfølger detaljerede instruktioner for hvordan de installeres. Include-filer for X11-programmer bør være tilgængelige på <ulink url="ftp://ftp.xfree86.org"
>ftp://ftp.xfree86.org</ulink
> i sektionen xdevel. </para>

</sect3>
</sect2>
</sect1>

<sect1 id="suse-install">
<title
>Krævede ændringer til dine indstillingsfiler </title>
<para
>Efter KDE-binærfilerne er placeret i deres destinationsmappe, er der nogle få justeringer som du må lave i dine opstartsscripter. </para>
<para
>Følgende procedure er testet på SuSE Linux 5.0 og burde også være kompatibel med de andre populære &UNIX;'er. <emphasis
>Tag altid en sikkerhedskopi af dine indstillingsfiler før du ændrer dem!</emphasis
> Tilføj følgende til slutningen af din /etc/profile: </para>
<para
> 
<screen
>export PATH=$PATH:/opt/kde/bin 
export KDEDIR=/opt/kde
</screen>
 </para>
<para
>Derefter skal du redigere .xinitrc-filen i din hjemmemappe. Se efter linjen som kalder din vindueshåndtering og erstat den med <literal
>startkde</literal
>.</para>
<para
>Nu da alt som behøves for at køre KDE er installeret, kan du gå videre til kapitel 4 hvor du vil starte KDE for første gang. Hvis noget går galt, får du måske brug for at kompilere KDE på egen hånd. Læs <emphasis
> <link linkend="source-distribution"
>Brug af kildekompilering til at installere oven på andre systemer</link
> </emphasis
> for flere informationer. </para>
<para
>Vi har lavet installationen så skudsikker som muligt, så du burde ikke støde ind i alvorlige problemer medmindre din systemopsætning er eksotisk. Hvis du alligevel oplever problemer, så er du velkommen til at bruge <link linkend="mailing-lists"
>KDE-postlisterne</link
>. </para>
</sect1>
</chapter>
<!--
Local Variables:
mode: sgml
sgml-omittag:nil
sgml-shorttag:t
sgml-namecase-general:t
sgml-general-insert-case:lower
sgml-minimize-attributes:nil
sgml-always-quote-attributes:t
sgml-indent-step:0
sgml-indent-data:nil
sgml-parent-document:("index.docbook" "book" "chapter")
End:
-->